Subject: [Wocky] More progress on gaim chatroom configuration bug

From: Greg Hudson <[email-masked]>
Date: Fri, 21 Oct 2005 01:16:16 -0400

I looked further into the gaim chatroom configuration bug.  I
identified three approaches to fixing the problem, two of which don't
seem practical (one of those wouldn't completely solve the problem
anyway).  The third approach, performing repeated non-blocking reads
from the SSL socket in the callback, is easily workable in NSPR but
not in gnutls, the other SSL library supported by gaim.  I will have
to learn more about gnutls in order to create a fix I can have a hope
of getting into the upstream code base.

I found an existing bug from last year in gaim's bug database and
appended my findings to it:

http://sourceforge.net/tracker/index.php?func=detail&aid=1048535&group_id=235&atid=100235